Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QTapGesture Class Reference

The QTapGesture class describes a tap gesture made by the user. More...

     #include <QTapGesture>

Inherits: QGesture.

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Properties

- position : QPointF

- 5 properties inherited from QGesture
- 1 property inherited from QObject

## Public Functions

QPointF | position () const
void | setPosition ( const QPointF & pos )

- 8 public functions inherited from QGesture
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 7 static public members inherited from QObject
- 8 protected functions inherited from QObject

## Detailed Description

The QTapGesture class describes a tap gesture made by the user.

For an overview of gesture handling in Qt and information on using gestures in your applications, see the Gestures Programming document.

See also QPanGesture and QPinchGesture.

## Property Documentation

### position : QPointF

This property holds the position of the tap.

Access functions:

QPointF | position () const
void | setPosition ( const QPointF & pos )